Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataConstruction.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataConstruction.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataConstruction.cs	(revision 484)
@@ -34,17 +34,17 @@
         public enum TableColumn
         {
             /// <summary>
-            /// 作成者コード
+            /// 工事番号
             /// </summary>
-            PersonCode,
+            ConstructionCode,
             /// <summary>
             /// 日報作成日
             /// </summary>
             DailyDataDate,
             /// <summary>
-            /// 工事番号
+            /// 作成者コード
             /// </summary>
-            ConstructionCode,
+            PersonCode,
             /// <summary>
             /// 天気
             /// </summary>
@@ -78,16 +78,30 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
+            strcmd.Append("SELECT ");
 
-            strcmd.Append("  PersonCode");                                       // 担当者コード
-            strcmd.Append(", DATE_FORMAT(DailyDataDate, '%Y/%m/%d')");             // 日報作成日
-            strcmd.Append(", ConstructionCode");                                 // 工事番号
-            strcmd.Append(", Weather");                                          // 天気
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");      // 登録年月日
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");     // 更新年月日
+            bool bColFirst = true;
+            string strWork = string.Empty;
+            foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+            {
+                strWork = gender.ToString();
+                if (!bColFirst) strcmd.Append(",");
+                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                {
+                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
+                }
+                else if (strWork.Equals("DailyDataDate"))
+                {
+                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
+                }
+                else
+                {
+                    strcmd.AppendFormat(" {0}", strWork);
+                }
+                bColFirst = false;
+            }
+
             strcmd.Append(" FROM DailyDataConstruction");
 
             return strcmd.ToString();
@@ -183,11 +197,11 @@
                 }
                 strcmd.Append(") VALUES (");
 
-                strcmd.AppendFormat("  {0}", work.PersonCode);                      // 担当者コード
+                strcmd.AppendFormat(" {0}", work.ConstructionCode);                 // 工事番号
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.DailyDataDate.ToShortDateString());  // 日報作成日
-                strcmd.AppendFormat(", {0}", work.ConstructionCode);                // 工事番号
-                strcmd.AppendFormat(",'{0}'", work.Weather);                        // 天気
+                strcmd.AppendFormat(", {0}", work.PersonCode);                      // 担当者コード
+                strcmd.AppendFormat(", {0}", SeparateString(work.Weather));         // 天気
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -228,11 +242,11 @@
                     if (bDataFirst) strcmd.Append(" (");
                     else strcmd.Append(", (");
 
-                    strcmd.AppendFormat("  {0}", work.PersonCode);                      // 担当者コード
+                    strcmd.AppendFormat("  {0}", work.ConstructionCode);                // 工事番号
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                                 , work.DailyDataDate.ToShortDateString());  // 日報作成日
-                    strcmd.AppendFormat(", {0}", work.ConstructionCode);                // 工事番号
-                    strcmd.AppendFormat(",'{0}'", work.Weather);                        // 天気
+                    strcmd.AppendFormat(", {0}", work.PersonCode);                      // 担当者コード
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Weather));         // 天気
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -270,11 +284,11 @@
 
                 strcmd.Append(" SET");
 
-                strcmd.AppendFormat(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
+                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd.AppendFormat(",DailyDataDate = DATE_FORMAT('{0}','%Y/%m/%d')"
-                                        , data.DailyDataDate.ToShortDateString());              // 日報作成日
-                strcmd.AppendFormat(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
-                strcmd.AppendFormat(",Weather = '{0}'", data.Weather);                      // 天気
+                                        , data.DailyDataDate.ToShortDateString());          // 日報作成日
+                strcmd.AppendFormat(",PersonCode = {0}", data.PersonCode);                  // 担当者コード
+                strcmd.AppendFormat(",Weather = {0}", SeparateString(data.Weather));        // 天気
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -300,7 +314,7 @@
         /// <param name="value"></param>
         /// <param name="bConnect"></param>
         /// <returns></returns>
-        public bool UpdateFeild(int PersonCode, DateTime DailyDataDate, int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        public bool UpdateFeild(int ConstructionCode, DateTime DailyDataDate, int PersonCode, int FeildNo, object value, bool bConnect = true)
         {
             StringBuilder strcmd = new StringBuilder();
             try
@@ -310,22 +324,22 @@
                 strcmd.Append(" SET");
                 switch (FeildNo)
                 {
-                    case (int)TableColumn.PersonCode:
-                        strcmd.AppendFormat(" PersonCode = {0}", ((int)value).ToString());
+                    case (int)TableColumn.ConstructionCode:
+                        strcmd.AppendFormat(" ConstructionCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.DailyDataDate:
                         strcmd.AppendFormat(" DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.ConstructionCode:
-                        strcmd.AppendFormat(" ConstructionCode = {0}", ((int)value).ToString());
+                    case (int)TableColumn.PersonCode:
+                        strcmd.AppendFormat(" PersonCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.Weather:
-                        strcmd.AppendFormat(" Weather = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Weather = {0}", SeparateString(value.ToString()));
                         break;
                 }
 
                 strcmd.Append(", UpdateDate = NOW()");
-                strcmd.Append(CreatePrimarykeyString(PersonCode, DailyDataDate, ConstructionCode));
+                strcmd.Append(CreatePrimarykeyString(ConstructionCode, DailyDataDate, PersonCode));
 
                 if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
@@ -377,9 +391,9 @@
             try
             {
                 // データ取得
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());     // 工事番号
+                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());      // 日報作成日
                 wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());                 // 担当者コード
-                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());      // 日報作成日
-                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());     // 工事番号
                 wrk.Weather = objwrk[(int)TableColumn.Weather].ToString();                                  // 天気
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
@@ -405,16 +419,17 @@
         /// <param name="DataType"></param>
         /// <param name="DataAddCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int PersonCode, DateTime DailyDataDate, int ConstructionCode)
+        public string CreatePrimarykeyString(int ConstructionCode, DateTime DailyDataDate, int PersonCode = 0)
         {
             StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork.AppendFormat(" WHERE PersonCode = {0}", PersonCode);
+                strWork.Append(" WHERE");
+                strWork.AppendFormat(" ConstructionCode = {0}", ConstructionCode);
                 if (DailyDataDate != DateTime.MinValue)
                     strWork.AppendFormat(" AND DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyDataDate.ToShortDateString());
-                if (ConstructionCode != 0)
-                    strWork.AppendFormat(" AND ConstructionCode = {0}", ConstructionCode);
+                if (PersonCode > 0)
+                    strWork.AppendFormat(" And PersonCode = {0}", PersonCode);
 
                 return strWork.ToString();
             }
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataDetail.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataDetail.cs	(revision 484)
@@ -34,17 +34,17 @@
         public enum TableColumn
         {
             /// <summary>
-            /// 作成者コード
+            /// 工事番号
             /// </summary>
-            PersonCode,
+            ConstructionCode,
             /// <summary>
             /// 日報作成日
             /// </summary>
             DailyDataDate,
             /// <summary>
-            /// 工事番号
+            /// 作成者コード
             /// </summary>
-            ConstructionCode,
+            PersonCode,
             /// <summary>
             /// 明細行番号
             /// </summary>
@@ -106,23 +106,30 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
+            strcmd.Append("SELECT ");
 
-            strcmd.Append("  PersonCode");                                      // 担当者コード
-            strcmd.Append(", DATE_FORMAT(DailyDataDate, '%Y/%m/%d')");          // 日報作成日
-            strcmd.Append(", ConstructionCode");                                // 工事番号
-            strcmd.Append(", SeqNo");                                           // 明細行番号
-            strcmd.Append(", JobCategoryCode");                                 // 職種キー
-            strcmd.Append(", CompanyCode");                                     // 協力会社コード
-            strcmd.Append(", TodayHeadCount");                                  // 当日人員数
-            strcmd.Append(", TotalHeadCount");                                  // 累計人員数
-            strcmd.Append(", TodayWork");                                       // 当日作業内容
-            strcmd.Append(", NextdayWork");                                     // 翌日作業内容
-            strcmd.Append(", NextdayHeadCount");                                // 翌日人員数
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");     // 登録年月日
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");    // 更新年月日
+            bool bColFirst = true;
+            string strWork = string.Empty;
+            foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+            {
+                strWork = gender.ToString();
+                if (!bColFirst) strcmd.Append(",");
+                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                {
+                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
+                }
+                else if (strWork.Equals("DailyDataDate"))
+                {
+                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
+                }
+                else
+                {
+                    strcmd.AppendFormat(" {0}", strWork);
+                }
+                bColFirst = false;
+            }
+
             strcmd.Append(" FROM DailyDataDetail");
 
             return strcmd.ToString();
@@ -218,17 +225,17 @@
                 }
                 strcmd.Append(") VALUES (");
 
-                strcmd.AppendFormat("  {0}", work.PersonCode);                      // 担当者コード
+                strcmd.AppendFormat("  {0}", work.ConstructionCode);                // 工事番号
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.DailyDataDate.ToShortDateString());  // 日報作成日
-                strcmd.AppendFormat(", {0}", work.ConstructionCode);                // 工事番号
+                strcmd.AppendFormat(", {0}", work.PersonCode);                      // 担当者コード
                 strcmd.AppendFormat(", {0}", work.SeqNo);                           // 明細行番号
                 strcmd.AppendFormat(", {0}", work.JobCategoryCode);                 // 職種キー
                 strcmd.AppendFormat(", {0}", work.CompanyCode);                     // 協力会社コード
                 strcmd.AppendFormat(", {0}", work.TodayHeadCount);                  // 当日人員数
                 strcmd.AppendFormat(", {0}", work.TotalHeadCount);                  // 累計人員数
-                strcmd.AppendFormat(",'{0}'", work.TodayWork);                      // 当日作業内容
-                strcmd.AppendFormat(",'{0}'", work.NextdayWork);                    // 翌日作業内容
+                strcmd.AppendFormat(", {0}", SeparateString(work.TodayWork));       // 当日作業内容
+                strcmd.AppendFormat(", {0}", SeparateString(work.NextdayWork));     // 翌日作業内容
                 strcmd.AppendFormat(", {0}", work.NextdayHeadCount);                // 翌日人員数
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -270,17 +277,17 @@
                     if (bDataFirst) strcmd.Append(" (");
                     else strcmd.Append(", (");
 
-                    strcmd.AppendFormat("  {0}", work.PersonCode);                      // 担当者コード
+                    strcmd.AppendFormat("  {0}", work.ConstructionCode);                // 工事番号
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                                 , work.DailyDataDate.ToShortDateString());  // 日報作成日
-                    strcmd.AppendFormat(", {0}", work.ConstructionCode);                // 工事番号
+                    strcmd.AppendFormat(", {0}", work.PersonCode);                      // 担当者コード
                     strcmd.AppendFormat(", {0}", work.SeqNo);                           // 明細行番号
                     strcmd.AppendFormat(", {0}", work.JobCategoryCode);                 // 職種キー
                     strcmd.AppendFormat(", {0}", work.CompanyCode);                     // 協力会社コード
                     strcmd.AppendFormat(", {0}", work.TodayHeadCount);                  // 当日人員数
                     strcmd.AppendFormat(", {0}", work.TotalHeadCount);                  // 累計人員数
-                    strcmd.AppendFormat(",'{0}'", work.TodayWork);                      // 当日作業内容
-                    strcmd.AppendFormat(",'{0}'", work.NextdayWork);                    // 翌日作業内容
+                    strcmd.AppendFormat(", {0}", SeparateString(work.TodayWork));       // 当日作業内容
+                    strcmd.AppendFormat(", {0}", SeparateString(work.NextdayWork));     // 翌日作業内容
                     strcmd.AppendFormat(", {0}", work.NextdayHeadCount);                // 翌日人員数
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -319,17 +326,17 @@
 
                 strcmd.Append(" SET");
 
-                strcmd.AppendFormat(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
+                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd.AppendFormat(",DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.DailyDataDate.ToShortDateString());              // 日報作成日
-                strcmd.AppendFormat(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
+                strcmd.AppendFormat(",PersonCode = {0}", data.PersonCode);                  // 担当者コード
                 strcmd.AppendFormat(",SeqNo =  {0} ", data.SeqNo);                          // 明細行番号
                 strcmd.AppendFormat(",JobCategoryCode =  {0} ", data.JobCategoryCode);      // 職種キー
                 strcmd.AppendFormat(",CompanyCode =  {0} ", data.CompanyCode);              // 協力会社コード
                 strcmd.AppendFormat(",TodayHeadCount =  {0} ", data.TodayHeadCount);        // 当日人員数
                 strcmd.AppendFormat(",TotalHeadCount =  {0} ", data.TotalHeadCount);        // 累計人員数
-                strcmd.AppendFormat(",TodayWork = '{0}'", data.TodayWork);                  // 当日作業内容
-                strcmd.AppendFormat(",NextdayWork = '{0}'", data.NextdayWork);              // 翌日作業内容
+                strcmd.AppendFormat(",TodayWork = {0}", SeparateString(data.TodayWork));    // 当日作業内容
+                strcmd.AppendFormat(",NextdayWork = {0}", SeparateString(data.NextdayWork));    // 翌日作業内容
                 strcmd.AppendFormat(",NextdayHeadCount =  {0} ", data.NextdayHeadCount);    // 翌日人員数
 
                 strcmd.Append(", UpdateDate = NOW()");
@@ -383,7 +390,7 @@
         /// <param name="value"></param>
         /// <param name="bConnect"></param>
         /// <returns></returns>
-        public bool UpdateFeild(int PersonCode, DateTime DailyDataDate, int ConstructionCode, int SeqNo, int FeildNo, object value, bool bConnect = true)
+        public bool UpdateFeild(int ConstructionCode, DateTime DailyDataDate, int PersonCode, int SeqNo, int FeildNo, object value, bool bConnect = true)
         {
             StringBuilder strcmd = new StringBuilder();
             try
@@ -393,14 +400,14 @@
                 strcmd.Append(" SET");
                 switch (FeildNo)
                 {
-                    case (int)TableColumn.PersonCode:
-                        strcmd.AppendFormat(" PersonCode = {0}", (int)value);
+                    case (int)TableColumn.ConstructionCode:
+                        strcmd.AppendFormat(" ConstructionCode = {0}", (int)value);
                         break;
                     case (int)TableColumn.DailyDataDate:
                         strcmd.AppendFormat(" DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.ConstructionCode:
-                        strcmd.AppendFormat(" ConstructionCode = {0}", (int)value);
+                    case (int)TableColumn.PersonCode:
+                        strcmd.AppendFormat(" PersonCode = {0}", (int)value);
                         break;
                     case (int)TableColumn.SeqNo:
                         strcmd.AppendFormat(" SeqNo = {0}", (int)value);
@@ -418,10 +425,10 @@
                         strcmd.AppendFormat(" TotalHeadCount = {0}", (double)value);
                         break;
                     case (int)TableColumn.TodayWork:
-                        strcmd.AppendFormat(" TodayWork = '{0}'", CommonMotions.cnvString(value));
+                        strcmd.AppendFormat(" TodayWork = {0}", SeparateString(CommonMotions.cnvString(value)));
                         break;
                     case (int)TableColumn.NextdayWork:
-                        strcmd.AppendFormat(" NextdayWork = '{0}'", CommonMotions.cnvString(value));
+                        strcmd.AppendFormat(" NextdayWork = {0}", SeparateString(CommonMotions.cnvString(value)));
                         break;
                     case (int)TableColumn.NextdayHeadCount:
                         strcmd.AppendFormat(" NextdayHeadCount = {0}", (double)value);
@@ -429,7 +436,7 @@
                 }
 
                 strcmd.Append(", UpdateDate = NOW()");
-                strcmd.Append(CreatePrimarykeyString(PersonCode, DailyDataDate, ConstructionCode, SeqNo));
+                strcmd.Append(CreatePrimarykeyString(ConstructionCode, DailyDataDate, PersonCode, SeqNo));
 
                 if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
@@ -454,9 +461,9 @@
             try
             {
                 // データ取得
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());       // 日報作成日
                 wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());                  // 担当者コード
-                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());       // 日報作成日
-                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());      // 工事番号
                 wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                            // 明細行番号
                 wrk.JobCategoryCode = int.Parse(objwrk[(int)TableColumn.JobCategoryCode].ToString());        // 職種キー
                 wrk.CompanyCode = int.Parse(objwrk[(int)TableColumn.CompanyCode].ToString());                // 協力会社コード
@@ -484,21 +491,18 @@
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
-        /// <param name="PersonCode"></param>
-        /// <param name="ActionDate"></param>
-        /// <param name="DataType"></param>
-        /// <param name="DataAddCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int PersonCode, DateTime DailyDataDate, int ConstructionCode = 0, int SeqNo = 0)
+        public string CreatePrimarykeyString(int ConstructionCode, DateTime DailyDataDate, int PersonCode = 0, int SeqNo = 0)
         {
             StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork.AppendFormat(" WHERE PersonCode = {0}", PersonCode);
+                strWork.Append(" WHERE");
+                strWork.AppendFormat(" ConstructionCode = {0}", ConstructionCode);
                 if (DailyDataDate != DateTime.MinValue)
                     strWork.AppendFormat(" AND DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyDataDate.ToShortDateString());
-                if (ConstructionCode != 0)
-                    strWork.AppendFormat(" AND ConstructionCode = {0}", ConstructionCode);
+                if (PersonCode != 0)
+                    strWork.AppendFormat(" And PersonCode = {0}", PersonCode);
                 if (SeqNo != 0)
                     strWork.AppendFormat(" AND SeqNo = {0}", SeqNo);
 
